### A free/open-source library for quantitative finance

Classes
ql/methods/finitedifferences/boundarycondition.hpp File Reference

boundary conditions for differential operators More...

`#include <ql/utilities/null.hpp>`
`#include <ql/methods/finitedifferences/tridiagonaloperator.hpp>`
Include dependency graph for boundarycondition.hpp:

## Classes

class | BoundaryCondition< Operator >
| Abstract boundary condition class for finite difference problems. More...
class | NeumannBC
| Neumann boundary condition (i.e., constant derivative) More...
class | DirichletBC
| Neumann boundary condition (i.e., constant value) More...

## Detailed Description

boundary conditions for differential operators